apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: admin
  labels:
    name: admin
spec:
  rules:
    - host: admin.barretthousen.com
      http:
        paths:
          - pathType: Prefix
            path: "/api"
            backend:
              service:
                name: proxy-admin
                port:
                  number: 80
          - pathType: ImplementationSpecific
            path: "/"
            backend:
              service:
                name: admin-client
                port:
                  number: 80
